Loading...
Searching...
No Matches
gtsam::CGState< S, V, E > Struct Template Reference

## Public Member Functions

| CGState (const S &Ab, const V &x, const Parameters &parameters, bool steep)
void | print (const V &x)
double | takeOptimalStep (V &x)
bool | step (const S &Ab, V &x)

## Public Attributes

const Parameters & | parameters_
int | k
| iteration
bool | steepest
| flag to indicate we are doing steepest descent
V | g
V | d
| gradient g and search direction d for CG
double | gamma
double | threshold
| gamma (squared L2 norm of g) and convergence threshold
E | Ad

## Public Types

typedef ConjugateGradientParameters | Parameters

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/iterative-inl.h